StageStyle (JavaFX 19)
Description: declaration: module: javafx.graphics, package: javafx.stage, enum: StageStyle

Module javafx.graphics
Package javafx.stage

# Enum Class StageStyle

java.lang.Object
java.lang.Enum<StageStyle>
javafx.stage.StageStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<StageStyle>`, `Constable`

public enum StageStyle extends Enum<StageStyle>
This enum defines the possible styles for a `Stage`.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECORATED`
  Defines a normal `Stage` style with a solid white background and platform decorations.
  `TRANSPARENT`
  Defines a `Stage` style with a transparent background and no decorations.
  `UNDECORATED`
  Defines a `Stage` style with a solid white background and no decorations.
  `UNIFIED`
  Defines a `Stage` style with platform decorations and eliminates the border between client area and decorations.
  `UTILITY`
  Defines a `Stage` style with a solid white background and minimal platform decorations used for a utility window.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StageStyle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StageStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DECORATED

    public static final StageStyle DECORATED
    Defines a normal `Stage` style with a solid white background and platform decorations.

  - ### UNDECORATED

    public static final StageStyle UNDECORATED
    Defines a `Stage` style with a solid white background and no decorations.

  - ### TRANSPARENT

    public static final StageStyle TRANSPARENT
    Defines a `Stage` style with a transparent background and no decorations. This is a conditional feature; to check if it is supported use `Platform.isSupported(javafx.application.ConditionalFeature)`. If the feature is not supported by the platform, this style downgrades to `StageStyle.UNDECORATED`

  - ### UTILITY

    public static final StageStyle UTILITY
    Defines a `Stage` style with a solid white background and minimal platform decorations used for a utility window.

  - ### UNIFIED

    public static final StageStyle UNIFIED
    Defines a `Stage` style with platform decorations and eliminates the border between client area and decorations. The client area background is unified with the decorations. This is a conditional feature, to check if it is supported see `Platform.isSupported(javafx.application.ConditionalFeature)`. If the feature is not supported by the platform, this style downgrades to `StageStyle.DECORATED`

    NOTE: To see the effect, the `Scene` covering the `Stage` should have `Color.TRANSPARENT`

    Since:
      JavaFX 8.0

- ## Method Details

  - ### values

    public static StageStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StageStyle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null